﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows.Data;

namespace WpfApplication2.Converters
{
	class DoubleToDateTimeConverter : IValueConverter
	{
		public object Convert(object value, Type targetType, object parameter, System.Globalization.CultureInfo culture)
		{
			int seconds = System.Convert.ToInt16(value);
			return new DateTime(DateTime.Now.Year,
							DateTime.Now.Month,
							DateTime.Now.Day,
							DateTime.Now.Hour,
							DateTime.Now.Minute,
							seconds).ToUniversalTime();
		}

		public object ConvertBack(object value, Type targetType, object parameter, System.Globalization.CultureInfo culture)
		{
			throw new NotImplementedException();
		}
	}
}
